<?php

require_once "../../../app/model/db.class.php";

if ($_REQUEST['accion']=='listado_per'){

    $tabla=$_REQUEST['tabla'];
    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}


if ($_REQUEST['accion']=='listado'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];
    
    $grado=$_REQUEST['grado'];
    
    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query1=$obj->consulta("select * from curso_asignatura_profesor  where grado='".$grado."' group by asignatura order by orden asc;");
    

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    
    while($info = $obj->fetch_assoc($query1)) {

        $query=$obj->consulta("select codigo,descripcion from ".$tabla."  where codigo='".$info['asignatura']."' order by  orden asc ;");
        

        while($row = $obj->fetch_assoc($query)) {

          $cadena.="<tr>";
          $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
          $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
        }
    }
    $obj->disconnect();
    $cadena.="</table>";

    echo $cadena;

}
if ($_REQUEST['accion']=='listadograd'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_listagrad(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}



if ($_POST['accion']=='al_salir_asignatura'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    
       
    $grado=$_REQUEST['grado'];

    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

   
    $query1=$obj->consulta("select * from curso_asignatura_profesor  where grado='".$grado."' and asignatura='".$codigo."' group by asignatura order by orden asc;");
    
//    echo ("select * from curso_asignatura_profesor  where grado='".$grado."' and curso='".$curso."' and asignatura='".$codigo."';");
    
    $row1 =$obj-> numero_de_filas($query1);
    
        
    if ($row1>0){
        
         while($info = $obj->fetch_assoc($query1)) {

            $query=$obj->consulta("select codigo,descripcion from ".$tabla."  where codigo='".$info['asignatura']."' order by  orden asc ;");
            
            $n =$obj-> numero_de_filas($query);
    
            
            if ($n>0){
                $row=$obj->fetch_assoc($query);
                $cadena=($row['descripcion']);
            }
            else{
                $cadena="0";
            }


        }
    }
    else{
        $cadena="1";
    }
    
    $obj->disconnect();
    
    echo $cadena;
}
    
   
if ($_POST['accion']=='al_salir'){

    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];   
       
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." where codigo='".$codigo."'");
    
    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);
   
    if ($n>0){
        $cadena=($row['descripcion']);
    }
    else{
        $cadena="0";
    }

    echo $cadena;
}


if ($_POST['accion']=='al_salirc'){

    $id=$_REQUEST['grado'];
    $tabla=$_POST['tabla'];
    $codigo=$_POST['codigo'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");


    $query=$obj->consulta("select * from ".$tabla." where grado='".$id."' order by orden");
    $n=$obj->numero_de_filas($query);
    
    if($n==0){
            echo "no";
        }else{
            $query=$obj->consulta("select codigo,descripcion from ".$tabla." where grado='".$id."' and codigo='".$codigo."' ");
            $n=$obj->numero_de_filas($query);
            $obj->disconnect();

            $row = $obj->fetch_assoc($query);

            if ($n>0){
                $cadena=($row['descripcion']);
            }
            else{
                $cadena="0";
            }

            echo $cadena;
        }
}


?>
